Name:           deja-dup
Version:        44.2
Release:    1%{?dist}
Summary:        Simple backup tool and frontend for duplicity

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/World/deja-dup
Source0:        https://gitlab.gnome.org/World/deja-dup/-/archive/%{version}/deja-dup-%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  gettext desktop-file-utils intltool
BuildRequires:  yelp-tools pango-devel cairo-devel
BuildRequires:  libvala-devel vala
BuildRequires:  libtool glib2-devel libnotify-devel
BuildRequires:  libpeas-devel
BuildRequires:  libsecret-devel
BuildRequires:  gtk4-devel > 4.5
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  dbus-daemon
BuildRequires:  json-glib-devel libsoup3-devel
BuildRequires:  libhandy1-devel
BuildRequires:  libadwaita-devel
Requires:       duplicity >= 0.6.23
Requires:       python3-gobject-base
Requires:       python3-PyDrive2
Recommends:     gvfs-fuse
Recommends:     restic
Recommends:     rclone

%description
Déjà Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
backend.

Features: 
 • Support for local, remote, or consumer cloud backup locations (Google Drive, etc)
 • Securely encrypts and compresses your data
 • Incrementally backs up, letting you restore from any particular backup
 • Schedules regular backups
 • Integrates well into your GNOME desktop

%prep
%autosetup -p0

%build
%meson -Denable_restic=true
%meson_build

%install
%meson_install
rm -f %{buildroot}/%{_libdir}/deja-dup/*.la

desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.DejaDup.desktop
desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/org.gnome.DejaDup.Monitor.desktop

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.metainfo.xml

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license LICENSES/
%doc NEWS.md README.md
%{_bindir}/deja-dup
%{_mandir}/man1/deja-dup.1*
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_sysconfdir}/xdg/autostart/org.gnome.DejaDup.Monitor.desktop
%{_libdir}/deja-dup/
%{_libexecdir}/deja-dup/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.DejaDup*
%{_datadir}/dbus-1/services/org.gnome.DejaDup.service
%{_datadir}/metainfo/org.gnome.DejaDup.metainfo.xml
%{_datadir}/help/*

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.2-1
- initial build
